# MdView

MdView is a tool for viewing [GitHub Flavored Markdown](https://github.github.com/gfm/) files in your web browser.
MdView recursively renders the parent directory of the user-provided file and serves its contents over HTTP on port
8080. The default browser is then launched, displaying the Markdown file as an HTML document.

## Features

*   Works on Linux, Mac OS, and Windows.
*   Single executable; no installation or configuration required.
*   Preview is automatically refreshed when source files change.
*   Output supports GitHub styles, including light and dark modes.
*   Automatically skips any included front matter header data.

## Usage

Execute MdView with the path of the Markdown file you wish to view:
```
mdview path/to/file.md
```
Execute MdView with `--help` to view options:
```
Usage mdview [options] [path]

Parameters:
  -port int
    	port (default 8080)
```
